<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";

$uz=check($uz);  
$log=check($log); 

if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!="") {	
	
echo'<img src="../images/img/partners.gif" alt=""> <b>Игнор-лист</b><br><br>';	
	
//------------------------- Игнор-лист ---------------------------------//	
	
	
if(!isset($action)){
	
$file = file("../local/dataignor/$log.dat");
$file = array_reverse($file);
$total = count($file);    

if($total<1){echo'<br><img src="../images/img/reload.gif" alt=""> <b>Игнор-лист пуст!</b><br><br>';}

$start = (int)$_GET['start'];
if($start < 0 || $start > $total){$start = 0;}
if ($total < $start + $config_ignorlist){ $end = $total; }
else {$end = $start + $config_ignorlist; }
for ($i = $start; $i < $end; $i++){



$data = explode("|",$file[$i]);
$num=$total-$i-1;
$i2=round($i+1);

echo '<img src="../images/img/chel.gif" alt=""> '.$i2.'. <b><a href="anketa.php?uz='.$data[1].'&amp;'.SID.'">'.$data[1].'</a></b> ';
echo '<a href="ignor.php?action=del&amp;line='.$num.'&amp;start='.$start.'&amp;'.SID.'">[Удалить]</a><br><hr>';



}

if ($start != 0) {echo '<a href="ignor.php?start='.($start - $config_ignorlist).'&amp;'.SID.'">&lt;-Назад </a> ';}else{echo'&lt;-Назад ';}
echo'|'; 
if ($total > $start + $config_ignorlist) {echo ' <a href="ignor.php?start='.($start + $config_ignorlist).'&amp;'.SID.'"> Далее-&gt;</a>';}else{echo' Далее-&gt;';}
	
	
	
if($config_themes!="wml"){	
echo '<hr><form method="post" action="ignor.php?action=add&amp;start='.$start.'&amp;'.SID.'">';
echo 'Логин юзера:<br><input name="uz" /><br>';
echo '<input value="Игнор" type="submit" /></form>';

}else{
	
echo'<br>--------------------<br>Логин юзера:<br>';
echo'<input name="uz"/><br>';
echo'<anchor>Игнор';
echo'<go href="ignor.php?action=add&amp;start='.$start.'&amp;'.SID.'" method="post">';
echo'<postfield name="uz" value="$(uz)"/>';
echo'</go></anchor><br>';
}	

if($total>1){echo'<br><img src="../images/img/error.gif" alt=""> <a href="ignor.php?action=alldel&amp;'.SID.'">Очистить список</a>';}	
}




//------------------------- Добавление в игнор ---------------------------------//
if($action=="add"){ 

if($uz!="" && file_exists(BASEDIR."local/profil/$uz.prof")){
	
$file = file("../local/dataignor/$log.dat");
$total = count($file);  

$iglines=file("../local/dataignor/$log.dat");
foreach($iglines as $value){
$userdat=explode("|",$value); 
if ($uz == $userdat[1]) {$result="ok"; }
}


if($result!="ok" && $total<50 && $uz!=$log){
	
//------------------------------Уведомление по привату------------------------//

/* $filesize= filesize(BASEDIR."local/privat/$uz.$config_priv");
$filesize=round($filesize/1024,2);
$pers=round($filesize*100/$config_limitsmail);
if($pers<100){
	
$mess=base64_encode("Пользователь $log добавил вас в игнор-лист, теперь вы не сможете отправлять ему письма!");
$tex=$log.'|'.$mess.'|'.$sitetime.'|'; 
	
$fp=fopen(BASEDIR."local/privat/$uz.$config_priv","a+");  
flock ($fp,LOCK_EX);                                                              
fputs($fp,"$tex\r\n");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);   */


//------------------------------ Запись в чужой профиль  ----------------------------//

/* $uzer_file = file(BASEDIR."local/profil/$uz.prof"); 
$uzer_data = explode(":||:",$uzer_file[0]);

$uzer_data[10]++;

for ($u2=0; $u2<$config_userprofkey; $u2++){
$uzer_text.=$uzer_data[$u2].':||:';}

if($uzer_data[0]!="" && $uzer_data[1]!="" && $uzer_data[4]!="" && $uzer_text!=""){
$fp2=fopen(BASEDIR."local/profil/$uz.prof","a+");
flock($fp2,LOCK_EX);   
ftruncate($fp2,0);                                                                 
fputs($fp2,$uzer_text);
fflush($fp2);
flock($fp2,LOCK_UN);
fclose($fp2);  
unset($uzer_text);
}
}		
	 */
	
	
$fp=fopen("../local/dataignor/$log.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"|$uz|\r\n"); 
fflush ($fp); 
flock ($fp,LOCK_UN);                                           
fclose($fp);  
chmod ($fp, 0666);
chmod ("../local/dataignor/$log.dat", 0666);

header ("Location: ignor.php?start=$start&isset=ignor_add&".SID);       
}else{header ("Location: ignor.php?start=$start&isset=ignor_noadd&".SID); }
}else{header ("Location: ignor.php?start=$start&isset=noadduzer&".SID); }
}


//--------------------------- Удаление из игнора----------------------------------//
if($action=="del"){
if($line!=""){
 
$file = file("../local/dataignor/$log.dat");
$fp=fopen("../local/dataignor/$log.dat","w");
flock ($fp,LOCK_EX);
for ($i=0;$i< sizeof($file);$i++) { if ($i==$line) {unset($file[$i]);} }
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
header ("Location: ignor.php?start=$start&isset=ignor_del&".SID);    
}else{header ("Location: ignor.php?start=$start&isset=ignor_nodel&".SID); }

}


//---------------------------------------- ОЧИСТКА СПИСКА -------------------------------------------//
if($action=="alldel"){

clear_files("../local/dataignor/$log.dat");

header ("Location: ignor.php?".SID);	
}


	
} else{ echo'Вы не авторизованы,<br> для просмотра Игнор-листа необходимо <a href="vhod.php?'.SID.'"> авторизоваться</a><br> или сперва <a href="registration.php?'.SID.'"> зарегистрироваться</a><br><br>';}



echo'<br><img src="../images/img/back.gif" alt=""> <a href="privat.php?'.SID.'">В приват</a><br>';
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>';
include_once"../themes/$config_themes/foot.php";
?>